Bug 481416 - Review Request: viking - GPS data editor and analyzer
Review Request: viking - GPS data editor and analyzer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-24 05:23 EST by Fabian Affolter
Modified: 2014-09-11 11:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-20 06:59:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2009-01-24 05:23:41 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/viking.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/viking-0.9.7-1.fc10.src.rpm

Project URL: http://viking.sourceforge.net/

Description:
Viking is a free/open source program to manage GPS data. You can import
and plot tracks and waypoints, show Google maps and/or Terraserver maps
under it, download geocaches for an area on the map, make new tracks and
waypoints, see real-time GPS position, etc.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1078946

rpmlint output:
[fab@laptop24 i386]$ rpmlint viking*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop24 SRPMS]$ rpmlint viking-0.9.7-1.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Parag AN(पराग) 2009-01-24 08:09:30 EST
Review:
+ package builds in mock.
 Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1078946
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
17823d2ad0a99f76d1d2a831c63f1201  viking-0.9.7.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ gtk-update-icon-cache scriptlet is used.
+ Desktop file installed correctly.
+ GUI App

Suggestion:
1) you need to add Requires:hicolor-icon-theme

APPROVED.
Comment 2 Fabian Affolter 2009-01-24 10:57:47 EST
New Package CVS Request
=======================
Package Name: viking
Short Description: GPS data editor and analyzer
Owners: fab
Branches: F-9 F-10
InitialCC:
Comment 3 Kevin Fenzi 2009-01-24 20:56:45 EST
cvs done.
Comment 4 Fabian Affolter 2009-01-25 03:43:25 EST
Thanks for reviewing and the cvs.
Comment 6 Fedora Update System 2009-01-26 20:47:06 EST
viking-0.9.7-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update viking'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0956
Comment 7 Fedora Update System 2009-01-26 20:55:56 EST
viking-0.9.7-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update viking'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1050
Comment 9 Fabian Affolter 2014-09-11 10:20:07 EDT
Package Change Request
======================
Package Name: viking
New Branches: epel7
Owners: fab 
InitialCC:
Comment 10 Gwyn Ciesla 2014-09-11 11:21:15 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.